MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000585contextfeature requestpublic2011-02-19 15:392017-03-27 17:15
ReporterPeter 
Assigned ToHans Hagen 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0000585: \widthof{}, \heightof{}, \depthof{} and \heightanddepthof{}
DescriptionLittle feature request: could you add something like
\widthof{}, \heightof{}, \depthof{} and \heightanddepthof{}
to the core?

See also: http://www.ntg.nl/pipermail/ntg-context/2007/024390.html [^]

Peter
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001047)
Hans Hagen (manager)
2013-04-05 19:12

close to impossible to implement expandable (unless we can delegate to lua but that would demand expansion at the lua end)
(0001091)
Peter (reporter)
2013-05-31 22:14

Hi Hans,

Could you explain please, why it's important to be expandable?

TIA, Peter
(0001094)
Hans Hagen (manager)
2013-06-04 21:55

i assume that you want to use it in assignments, like width=\widthof{abc} in which care a dimension has to be returned by \widthof
(0001099)
Hans Hagen (manager)
2013-06-18 15:35

in fact, for a while we do already have this:

\widthofstring{test test}

which is good enough for 'text only' cases

- Issue History
Date Modified Username Field Change
2011-02-19 15:39 Peter New Issue
2013-04-05 19:12 Hans Hagen Note Added: 0001047
2013-04-05 19:12 Hans Hagen Status new => closed
2013-04-05 19:12 Hans Hagen Assigned To => Hans Hagen
2013-04-05 19:12 Hans Hagen Resolution open => fixed
2013-05-31 22:14 Peter Note Added: 0001091
2013-05-31 22:14 Peter Status closed => feedback
2013-05-31 22:14 Peter Resolution fixed => reopened
2013-06-04 21:55 Hans Hagen Note Added: 0001094
2013-06-18 15:35 Hans Hagen Note Added: 0001099
2017-03-27 17:15 Hans Hagen Status feedback => closed
2017-03-27 17:15 Hans Hagen Resolution reopened => fixed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker